> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyhumm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute Tool



## OpenAPI

````yaml https://analyst.heyhumm.ai/api/openapi.json post /api/mcp/tool/execute
openapi: 3.1.0
info:
  title: Analyst API
  description: API for the Analyst service with proper organization-scoped permissions
  version: 1.0.0
servers:
  - url: https://analyst.heyhumm.ai
security: []
paths:
  /api/mcp/tool/execute:
    post:
      tags:
        - MCP
      summary: Execute Tool
      operationId: execute_tool_api_mcp_tool_execute_post
      parameters:
        - name: X-Organization-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/routers__mcp__ExecuteToolRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/McpExecuteToolResponse'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
components:
  schemas:
    routers__mcp__ExecuteToolRequest:
      properties:
        tool_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool Name
        parameters:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Parameters
        org_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Org Id
      additionalProperties: false
      type: object
      title: ExecuteToolRequest
    McpExecuteToolResponse:
      properties:
        organization_id:
          type: string
          title: Organization Id
        tool_name:
          type: string
          title: Tool Name
        status:
          type: string
          title: Status
        data:
          anyOf:
            - {}
            - type: 'null'
          title: Data
        cache_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Cache Key
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
      type: object
      required:
        - organization_id
        - tool_name
        - status
        - data
        - metadata
      title: McpExecuteToolResponse
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
      type: object
      required:
        - error
      title: ErrorResponse
    ErrorDetail:
      properties:
        code:
          type: string
          title: Code
        message:
          type: string
          title: Message
        details:
          additionalProperties: true
          type: object
          title: Details
      type: object
      required:
        - code
        - message
      title: ErrorDetail

````